package envoy.client;

import javax.swing.DefaultListModel;

import envoy.schema.Message;
import envoy.schema.User;

public class Chat {

	private User						recipient;
	private DefaultListModel<Message>	model	= new DefaultListModel<>();

	public Chat(User recipient) { this.recipient = recipient; }

	public User getRecipient() { return recipient; }

	public void appendMessage(Message message) { model.addElement(message); }

	public DefaultListModel<Message> getModel() { return model; }
}